//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Registry.hpp>
#include <AppEvnts.hpp>
//---------------------------------------------------------------------------
#define RK_WINLOGON "Software\\Microsoft\\Windows NT\\CurrentVersion\\Winlogon"
#define RV_ENABLED "AutoAdminLogon"
#define RV_USER "DefaultUserName"
#define RV_DOMAIN "DefaultDomainName"
#define RV_PASS "DefaultPassword"
#define RV_FORCE "ForceAutoLogon"
#define RV_COUNT "AutoLogonCount"
//---------------------------------------------------------------------------
const WM_ABOUT = WM_USER + 0x101;
class TMainForm : public TForm
{
__published:	// IDE-managed Components
    TPanel *Panel1;
    TButton *btnOk;
    TButton *btnCancel;
    TPanel *Panel2;
    TCheckBox *chkEnableAL;
    TEdit *edUser;
    TEdit *edDomain;
    TEdit *edPass;
    TLabel *lblUser;
    TLabel *lblDomain;
    TLabel *lblPassword;
    TCheckBox *chkForceAL;
    TButton *btnClear;
    TApplicationEvents *AppEvents;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall ModifiedEvent(TObject *Sender);
    void __fastcall chkEnableALClick(TObject *Sender);
    void __fastcall btnCancelClick(TObject *Sender);
    void __fastcall btnOkClick(TObject *Sender);
    void __fastcall btnClearClick(TObject *Sender);
    void __fastcall AppEventsMessage(tagMSG &Msg, bool &Handled);
private:	// User declarations
    void __fastcall LoadFromReg();
    void __fastcall SaveToReg();
    void __fastcall CreateSystemMenu();
protected:	// User declarations
    void __fastcall RegWriteValue(TRegistry *RegObj, const AnsiString Name, const AnsiString Value);
    void __fastcall RegDeleteValue(TRegistry *RegObj, const AnsiString Name);
public:		// User declarations
    __fastcall TMainForm(TComponent* Owner);
    void __fastcall About();
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
