//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Utils.h"
//---------------------------------------------------------------------------
USEFORM("Main.cpp", MainForm);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    try
    {
        Application->Initialize();
        Application->Title = "Set Auto Logon NT";
        if (!IsWin2K())
        {
            Application->MessageBox("Unsupported version of Windows!","OS not supported!",MB_OK|MB_ICONERROR);
            return 1633;
        }
        else if (!UserIsAdmin())
        {
            Application->MessageBox("You are not admin!","Access denied",MB_OK|MB_ICONERROR);
            return 5;
        }
        else
        {
            Application->CreateForm(__classid(TMainForm), &MainForm);
            Application->Run();
        }
    }
    catch (Exception &exception)
    {
         Application->ShowException(&exception);
    }
    catch (...)
    {
         try
         {
             throw Exception("");
         }
         catch (Exception &exception)
         {
             Application->ShowException(&exception);
         }
    }
    return 0;
}
//---------------------------------------------------------------------------
